<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>


<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a>  | <a class="breadcrumb-link" href="ShowRealmConfigurations.action">User Stores</a></div>
				<h1 class="headding-userstores">Add New User Store : Configure Properties</h1>
				    <p><strong>Configure an instance of : <s:property value="realmClassName"/></strong></p>
					<p>Please provide values for all required (<span style="color:red">*</span>) configuration properties listed below</p>

		            <s:iterator value="errorMessages">
		                 <div class="error-message"><s:property /></div>
		            </s:iterator>
		            
		            <s:iterator value="infoMessages">
		                 <div class="info-message"><s:property /></div>
		            </s:iterator>

					<s:form action="CreateRealmConfiguration" theme="simple">
					<table cellpadding="0" cellspacing="0" border="0" class="form-table" style="width:450px">
						<tr><th>Property</th><th>Value</th></tr>
						<tr><td valign="top">Configuration Name <span style="color:red">*</span> </td><td><input type="text" name="realmConfigName" class="textField" style="margin-bottom:10px;" /></td></tr>
						<s:iterator value="configProperties" id="entry">
							<tr>
							<td valign="top" style="width:150px;">
							    <s:property value="propertyName"/>
								<s:if test="#entry.isRequired==true" >
		                            <span style="color:red">*</span>
		                        </s:if>
							</td>
							<td valign="top">
								<input type="text" class="textField" name="<s:property value="propertyName"/>"/>
								<div class="helpText"><s:property value="helpText"/></div>
							</td>
							</tr>
						</s:iterator>
						<tr>
							<td></td>
							<td>
							<s:submit cssClass="button" type="button" label="Done" align="center" />
							</td>
					</table>
					</s:form>

				
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>