<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<script>
function showhide(id){
	var to_showhide=document.getElementById(id+'-content');
	if(to_showhide.style.display=='block') to_showhide.style.display='none';
	else to_showhide.style.display='block';
}
function showhideForm(id){
var to_showhide=document.getElementById(id+'-form');
var to_hide=document.getElementById(id+'-content');
	if(to_showhide.style.display=='block'){
	 to_showhide.style.display='none';
	}
	else{
	 to_showhide.style.display='block';
	 to_hide.style.display='none';
	}
}
</script>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>

<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">

					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | <a class="breadcrumb-link" href="ShowConfigureCardIssuer.action">Card Issuer Configuration</a> |Edit Card Issuer Configuration</div>
				<h1 class="headding-CardIssuer">Edit Card Issuer Configuration</h1>
				<s:property value="message" />

                <s:iterator value="errorMessages">
                     <div class="error-message"><s:property /></div>
                </s:iterator>
                
                <s:iterator value="infoMessages">
                     <div class="info-message"><s:property /></div>
                </s:iterator>

                
                <s:form action="EditCardIssuer" method="post" theme="simple" enctype="multipart/form-data">
				<table cellpadding="0" cellspacing="0" border="0" class="form-table">
					<tr>
						<td valign="top" style="width:150px;">Card Name<span style="color:red">*</span></td>
						<td><s:textfield name="cardName" value="%{cardName}"/></td>
					</tr>
					<tr>
						<td valign="top" style="width:150px;">Valid Period<span style="color:red">*</span></td>
						<td><s:textfield name="validPeriod" value="%{validPeriod}"/></td>
					</tr>
					<tr>
						<td valign="top" style="width:150px;">Token Types<span style="color:red">*</span></td>
						<td>
							<s:checkbox name="samlVersion10" value="samlVersion10" fieldValue="true"/> SAML1.0 &nbsp;&nbsp;
							<s:checkbox name="samlVersion11" value="samlVersion11" fieldValue="true"/> SAML1.1 
						</td>
					</tr>
					<tr>
						<td>Symmetric binding used</td>
						<td>
							<s:checkbox name="useSymmBinding" value="useSymmBinding" fieldValue="true"/>
						</td>
					</tr>       	
	                    
					<tr><td></td><td><s:file name="file" label="Image File"/></td></tr>
					<tr>
					<td>
						
					</td>
					<td style="height:50px;">
					<s:submit cssClass="button" type="button" label="Update"  name="method:doUpdate" value="Update"/>
    					<s:submit cssClass="button" type="button" label="Cancel" name="redirect-action:ShowConfigureCardIssuer" value="Cancel"/>
    					</td>
					</tr>
				</table>
				</s:form>
		</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>