<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />

</head>
<body>

<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | Available User Stores</div>
				<h1 class="headding-userstores">Available User Stores</h1>
				

                    <s:iterator value="errorMessages">
                         <div class="error-message"><s:property /></div>
                    </s:iterator>
                    
                    <s:iterator value="infoMessages">
                         <div class="info-message"><s:property /></div>
                    </s:iterator>


				<table cellpadding="0" cellspacing="0" border="0" class="data-table">
					<tr><th>Configuration name</th><th>Realm Class</th><th>Enabled</th></tr>
				
					<s:iterator value="realmConfigurations">
					
						<s:url id="showRealmConfigUrl" namespace="/" action="ShowUserStore">
					    	<s:param name="configName" value="%{name}" />
						</s:url>
						<tr><td><s:a href="%{showRealmConfigUrl}"><s:property value="name"/></s:a></td>
						<td><s:property value="realm"/><br/></td>
						<s:if test="%{effective}">
							<td><s:property value="effective"/></td>	
						</s:if>
						<s:else>
							<s:url id="setDefaultUserStore" namespace="/" action="SetDefaultUserStore">
								<s:param name="configName" value="name" />
							</s:url>
							<td><s:a href="%{setDefaultUserStore}">Set as default</s:a></td>
						</s:else>
						</tr>
						
					</s:iterator>
				
				</table>
				
				<s:url id="ShowSelectRealmUrl" namespace="/" action="ShowSelectRealm">
				</s:url>
				
				<span><s:a href="%{ShowSelectRealmUrl}" cssClass="newitem-link"  >Add new user store</s:a></span>

				
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />
	
</body>
</html>

