<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<script>
function showHideCommon(divxName){
    divx=document.getElementById(divxName);

    /* show the intialy hidden object */
    if(divx.style.display=='none'){
        if(divx.nodeName == 'DIV')
            divx.style.display='block';
        if(divx.nodeName == 'IMG')
            divx.style.display='inline';
    	if(divx.nodeName == 'SPAN')
            divx.style.display='inline';
        //link.innerHTML=textHidden;
    }
    /* hide the initaly shown object */
    else
    {
        divx.style.display='none';

        //link.innerHTML=textShown;
    }


}
function checkReq(){
	if(document.userManagement.enableEmailVerification.checked){
		showHideCommon('starHost');
		showHideCommon('starPort');
		showHideCommon('starAddress');
	}
	
}
</script>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body onload="checkReq()">


<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | User Management</div>
				<h1 class="headding-userstores">User Management</h1>
				
                    <s:iterator value="errorMessages">
                         <div class="error-message"><s:property /></div>
                    </s:iterator>
                    
                    <s:iterator value="infoMessages">
                         <div class="info-message"><s:property /></div>
                    </s:iterator>

                
				
                <s:form action="UpdateGlobalUserManagementProperties" method="post" name="userManagement" theme="simple">
                <table cellpadding="0" cellspacing="0" border="0" class="form-table">
                		<tr>
                			<td>Allow User Registration :</td><td> <s:checkbox name="allowUserRegistration" value="allowUserRegistration" fieldValue="true"/></td>
                		</tr>
                    	<tr>
                    		<td>Enable Email Verification :</td><td><s:checkbox onclick="showHideCommon('starHost');showHideCommon('starPort');showHideCommon('starAddress');" name="enableEmailVerification" value="enableEmailVerification" fieldValue="true"/></td>
                    	</tr>
                    	<tr>
                    		
                    			<tr>
                    				<td>Email host <span style="color:red;display:none;" id="starHost">*</span></td>
                    				<td><s:textfield name="host" value="%{host}"/></td>
                    			</tr>
                    			<tr>
                    				<td>Email host port <span style="color:red; display:none;" id="starPort">*</span></td>
                    				<td><s:textfield name="port" value="%{port}"/></td>
                    			</tr>
                    			<tr>
                    				<td>Host user name</td>
                    				<td><s:textfield name="username" value="%{username}"/></td>
                    			</tr>
                    			<tr>
                    				<td>Host password</td>
                    				<td><s:password name="password" label="password"/></td>
                    			</tr>
                    			<tr>
                    			    <td>From address <span style="color:red; display:none;" id="starAddress">*</span></td>
                    				<td><s:textfield name="fromAddress" value="%{fromAddress}"/></td>
                    			</tr>
                    		
                    		<tr>
                    		<td></td><td><s:submit cssClass="button" type="button" label="Update" value="Update"/></td>
                    		</tr>
                    	</table>
                </s:form>
				
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>