<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>


<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a>  | <a class="breadcrumb-link" href="ShowRealmConfigurations.action">Available User Stores</a> | Edit user store configuration</div>
				<h1 class="headding-userstores">Edit user store configuration : <s:property value="configName"/></h1>
				<h2>Configuration Properties</h2>
				<table cellpadding="0" cellspacing="0" border="0" class="form-table">
					<tr>
						<th>Name</th>
						<th>Value</th>
					</tr>
					<s:form action="ShowUserStoreEdit" method="post" theme="simple">
					<s:hidden name="configName" value="%{configName}"/>
					<s:iterator value="configProperties" status="status" id="entry">
						<tr>
						<td valign="top" style="width:150px;">
								<s:property value="name"/>
								<s:if test="#entry.isRequired==true" >
		                            <span style="color:red">*</span>
		                        </s:if>
						</td>
						<td><s:textfield name="%{name}" value="%{value}"/></td></tr>
					</s:iterator>
					<tr><td></td><td>
						<s:submit cssClass="button" type="button" label="Update"  name="method:doUpdate" value="Edit"/>
    					<s:submit cssClass="button" type="button" label="Cancel" name="redirect-action:ShowRealmConfigurations" value="Cancel"/>
					</td>
					</tr>
					</s:form>
				</table>
				<br /><br />
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />


  </body>
</html>

