<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="s" uri="/struts-tags" %>
<html>
<head>
    <link href="<s:url value='/css/main.css'/>" rel="stylesheet" type="text/css"/>
    <title><s:text name="label.cards"/></title>
</head>
<body>
<h2><div class="titleDiv"><s:text name="application.title"/></div></h2>
<h3><s:text name="label.cliams"/></h3>
<s:url id="url" action="crudClaims!input" />
<a href="<s:property value="#url"/>">Add New Claim</a>
<br/><br/>
<table class="borderAll">
    <tr>
        <th><s:text name="label.claimURI"/></th>
        <th><s:text name="label.displayTag"/></th>
        <th><s:text name="label.description"/></th>
        <th><s:text name="label.simple"/></th>
	<th><s:text name="label.userEditable"/></th>
        <th>&nbsp;</th>
    </tr>
    <s:iterator value="claims" status="status">
        <tr class="<s:if test="#status.even">even</s:if><s:else>odd</s:else>">
            <td class="nowrap"><s:property value="URI"/></td>
            <td class="nowrap"><s:property value="displayTag"/></td>
            <td class="nowrap"><s:property value="description"/></td>
            <td class="nowrap"><s:property value="simple"/></td>
	    <td class="nowrap"><s:property value="userEditable"/></td>
            <td class="nowrap">
                <s:url action="crudClaims!input" id="url">
                    <s:param name="claim.id" value="id"/>
                </s:url>
                <a href="<s:property value="#url"/>">Edit</a>
                &nbsp;&nbsp;&nbsp;
                <s:url action="crudClaims!delete" id="url">
                    <s:param name="claim.id" value="id"/>
                </s:url>
                <a href="<s:property value="#url"/>">Delete</a>
            </td>
        </tr>
    </s:iterator>
    </table>
</body>
</html>
