package org.wso2.solutions.identity.user.ui.action;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts2.StrutsStatics;
import org.wso2.usermanager.verification.email.EmailVerifier;

import com.opensymphony.xwork2.ActionContext;

public class ShowUserVerificationAction
        extends ManagedAction {

    public String execute() throws Exception {
        String result = ERROR;

        HttpServletRequest request = (HttpServletRequest) ActionContext
                .getContext().get(StrutsStatics.HTTP_REQUEST);
        String[] values = request
                .getParameterValues(EmailVerifier.CONF_STRING);
        
        String stuff = request
        .getParameter(EmailVerifier.CONF_STRING);
        
        if (values != null && values.length > 0) {
            EmailVerifier verifier = new EmailVerifier();
            boolean value = verifier.confirmUser(values[0]);
            if (value == false) {
                this.addErrorMessage(getText("unable_to_verify_string"));
            } else {
                this.addInfoMessage(getText("successful_verification"));
                result = SUCCESS;
            }
        }
        loadMessages();
        return result;
    }

}
