<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Provider</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />

<script language="JavaScript" type="text/JavaScript">
function showHide(){

	var top_div=document.getElementById('claim-content');
	if(top_div.style.display=='block') top_div.style.display='none';
	else top_div.style.display='block';
}
</script>

</head>
<body>
<!-- Include the header -->
<s:include value="header.jsp" />


<table cellpadding="0" cellspacing="0" border="0" style="width:100%;">
	<tr>
		<td class="right-back">
		</td>
		<td class="content" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width:100%;">
				<tr>
					<td><h1>Welcome to the Identity Provider of the WSO2 Identity Solution</h1></td>
					<td align="right" valign="top"><img src="images/wso2-identity-content-rounded.jpg" align="top" /></td>
				</tr>
			</table>

            <s:iterator value="errorMessages">
			     <div class="error-message"><s:property /></div>
			</s:iterator>
			
 	        <s:iterator value="infoMessages">
                 <div class="info-message"><s:property /></div>
            </s:iterator>
                
			<br>
			<!-- New STARTS Here -->
			<div class="information">
			<table cellpadding="0" cellspacing="0" border="0" style="width:100%;margin-bottom:10px;">
				<tr>
					
					<td valign="top" style="line-height:20px;">
						<a href="DownloadInfoCard.action" class="heading-link">Download Information Card</a>
						<br>This card can be used with any identity selector that supports Microsoft CardSpace specifications and will allow you to login to web applications that supports information card logins.
						
					</td>
					<td valign="top">
					<div id="claim-title" onclick="showHide()"><img src="images/arrow-down.gif" align="top" style="margin-top:5px;margin-left:3px;margin-right:3px;" />Click here to see the claims supported by the identity provider<img src="images/arrow-down.gif" align="top" style="margin-top:5px;margin-left:3px;margin-right:3px;" /></div>
						<div id="claim-content">
			
							<a href="#" onClick="showHide();"  class="close-link">Close [ x ]</a>
								
							
							<table cellpadding="0" cellspacing="0" border="0" class="data-table" style="clear:both;" >
							<s:iterator value="claims">
								<tr>
								<td>
									<div style="font-weight:bold;line-height:18px;"><s:property value="displayTag" /></div>
									<div style="line-height:18px;"><s:property value="uri" /></div>
									<div style="line-height:18px;"><s:property value="description" /></div>
								</td>
								</tr>						
							</s:iterator>
							</table>
							
						
						</div>
					</td>
				</tr>
				<tr>
					<td colspan="3"><a href="DownloadInfoCard.action" class="download-link"></a></td>
				</tr>
				</table>
				
                		<table cellpadding="0" cellspacing="0" border="0" class="manage-table">
				<tr>
				<td>
				<p class="heading-link">Managed Information Cards for Self Issued Information Cards</p>
				
                
	                 	<a href="RequestRegisterInfoCard.action" class="register-link">Register Self Issued Card</a>
	                 			
				
				<table cellpadding="0" cellspacing="0" border="0" style="margin-bottom:10px;" class="data-table">
				    <tr>
				    	<th colspan="3">List of registered self issued information cards</th>
				    </tr>
	                            <s:iterator value="registeredInformationCards">
					                <s:url id="downloadCardForPPIDUrl" namespace="/" action="DownloadInfoCard">
					                    <s:param name="selfIssuedPpid" value="ppid" />
					                </s:url>
					                <s:url id="removeRegisteredCard" namespace="/" action="RemoveRegisteredInfoCard">
                                        <s:param name="ppid" value="ppid" />
                                    </s:url>
                                    
	                                <tr>
	                                    <td><s:property value="ppid"/></td>
	                                    <td><s:a href="%{downloadCardForPPIDUrl}" >Download Information Card</s:a></td>
	                                    <td><s:a href="%{removeRegisteredCard}">Remove</s:a></td>
	                                </tr>
	                            </s:iterator>
	                        </table>
	
               			</td>
               			</tr>
               			</table>
                       
                    
			
			
			


			<table cellpadding="0" cellspacing="0" border="0" class="manage-table">
				<tr>
					<td valign="top" style="padding-right:10px;"><a class="manage-info-cards" src="#" /></td>
					<td valign="top">
						<a href="#" class="heading-link">Add Trusted Relying Party</a>
						<br>You will be able to use the managed cards issued by this identity provider to log into and relying party that this identity provider trusts.
					</td>
				</tr>
				<tr>
					<td colspan="2">
							<s:form action="UploadRelyingPartyCertificate" method="POST" enctype="multipart/form-data" theme="simple">
								<div style="padding:5px;"><s:file name="certificateFile" label="Certificate"/></div>
								<div style="padding:5px;"><s:submit type="button" cssClass="button" label="Upload"/></div>
							</s:form>
					</td>
				</tr>
			</table>
			
			<div class="relying-parties-title">Personal Trusted Relying Parties</div>
			<table cellpadding="0" cellspacing="0" border="0" class="data-table">
				<s:iterator value="personalRPs">
				        <s:url id="removeRP" namespace="/" action="RemoveRelyingParty">
                            <s:param name="hostName" value="identifier.hostName" />
                        </s:url>
					<tr><td><s:property value="identifier.hostName"/></td><td><s:a href="%{removeRP}">Remove</s:a></td></tr>
				</s:iterator>
			</table>
			
			</div>
			<!-- New Ends Here -->
			
			
		</td>
	</tr>
</table>

<!-- Include footer -->
<s:include value="footer.jsp" />
	
</body>
</html>
