package org.wso2.solutions.identity.admin.ui.action;

import java.util.List;

import org.wso2.solutions.identity.admin.ReportAdmin;
import org.wso2.solutions.identity.admin.ui.UIConstants;

import com.opensymphony.xwork2.ActionSupport;

public class ReportDetailsAction extends ActionSupport {
    
    private String userId = null;
    private String cardId = null;
    private String type = null;
    
    private List dataList = null;

    public String execute() throws Exception {
        ReportAdmin admin = new ReportAdmin();
        if(UIConstants.REPORT_TOKEN_USER.equals(type)){
            dataList = admin.getTokenDetailsForUser(userId);
        }else if(UIConstants.REPORT_TOKEN_CARD.equals(type)){
            dataList = admin.getTokenDetailsForCardId(cardId);
        }else if(UIConstants.REPORT_TOKEN_CARD_USER.equals(type)){
            dataList = admin.getTokenDetailsForCardAndUser(cardId, userId);
        }else if(UIConstants.REPORT_CARD_USER.equals(type)){
            dataList = admin.getCardDetailsForUser(userId);
        }
        return SUCCESS;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List getDataList() {
        return dataList;
    }

    public void setDataList(List dataList) {
        this.dataList = dataList;
    }
    
    
    
    

}
