/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import org.wso2.solutions.identity.admin.InfoCardTokenAdmin;

import com.opensymphony.xwork2.ActionSupport;

public class ShowStatisticsAction extends ActionSupport {

    private static final long serialVersionUID = -1881232362906839189L;
    
    private int userCount = 0;
    private int cardCount = 0;
    private int tokenCount = 0;
   
    public String execute() throws Exception {
        InfoCardTokenAdmin icadmin = new InfoCardTokenAdmin();
        cardCount = icadmin.getInfoCardCount();
        tokenCount = icadmin.getTokenRequestCount();
        return INPUT;
    }
    
    public int getUserCount() {
        return userCount;
    }

    public void setUserCount(int userCount) {
        this.userCount = userCount;
    }
    

    public int getCardCount() {
        return cardCount;
    }

    public void setCardCount(int cardCount) {
        this.cardCount = cardCount;
    }

    public int getTokenCount() {
        return tokenCount;
    }

    public void setTokenCount(int tokenCount) {
        this.tokenCount = tokenCount;
    }
    
    

}
