<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>WSO2 Identity Solution | Management Console</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>

<div class="page">

	<!-- START Header  -->
	<s:include value="header.jsp" />
	<!-- END Header -->
	
	<!-- START Content  -->
	<table cellpadding="0" cellspacing="0" border="0" class="middle">
		<tr>
			<td class="left-menu" valign="top">
				<div class="menu-back">


					<!-- START menu -->
					<s:include value="menu.jsp" />
					<!-- END menu -->
					
					
				</div>
			</td>
			<td class="content" valign="top">
				<div class="breadcrumb"><a class="breadcrumb-link" href="ShowMain.action">Home</a> | Trusted Relying Parties</div>
				<h1 class="headding-trusted">Trusted Relying Parties</h1>
                
                    <s:iterator value="errorMessages">
                         <div class="error-message"><s:property /></div>
                    </s:iterator>
                    
                    <s:iterator value="infoMessages">
                         <div class="info-message"><s:property /></div>
                    </s:iterator>

                
				<br/>
				<table cellpadding="0" cellspacing="0" border="0" class="data-table">
					<tr>
						<th>Host</th>
						<th>Certificate alias</th>
						<th></th>
					</tr>
				<s:iterator value="relyingParties">
					<tr>
						<td><s:property value="hostName" /></td>
						<td><s:property value="alias" /></td>
						<s:url id="removeRpUrl" namespace="/" action="RemoveTrustedRelyingParty">
							<s:param name="hostName" value="hostName" />
						</s:url>
						<td><s:a href="%{removeRpUrl}">Remove</s:a></td>
					</tr>
				</s:iterator>
				</table>
				<s:url id="addNewRP" namespace="/" action="ShowRelyingPartyCertificateUpload">
				</s:url>
				
				<s:a href="%{addNewRP}" cssClass="newitem-link" >Add new trusted relying party</s:a>
				
			</td>
		</tr>
	</table>
	<!-- END Content -->
</div>	

<!-- Include footer -->
<s:include value="footer.jsp" />

  </body>
</html>
