/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.user.ui.action;

import org.wso2.solutions.identity.IdentityProviderConstants;
import org.wso2.solutions.identity.admin.ParameterAdmin;


public class ShowLoginAction extends ManagedAction {

    private static final long serialVersionUID = -8219537662268682611L;

    private boolean allowUserRegistration;
    
    public String execute() throws Exception {

        ParameterAdmin paramAdmin = new ParameterAdmin();
        this.allowUserRegistration = paramAdmin.getParameter(IdentityProviderConstants.PARAM_NAME_ALLOW_USER_REGISTRATION) != null;
        loadMessages();

        return SUCCESS;
    }

    public boolean isAllowUserRegistration() {
        return allowUserRegistration;
    }

}
