<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" 
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>WSO2 Identity Solution</title>
<link type="text/css" rel="stylesheet" href="css/styles.css" />
</head>
<body>

   <form name="frm" id="frm" method="post" action="InfoCardSubmit.action">  
            <input type="hidden" name="InfoCardSignin" value="Log in" /><br/>
            <OBJECT type="application/x-informationCard" name="xmlToken">
                <PARAM  Name="tokenType"
                        Value="urn:oasis:names:tc:SAML:1.0:assertion">
                <PARAM  Name="requiredClaims"
                        Value="http://schemas.xmlsoap.org/ws/2005/05/identity/claims/privatepersonalidentifier">
                <PARAM Name="issuer" value="http://schemas.xmlsoap.org/ws/2005/05/identity/issuer/self">
            </OBJECT>
  </form>
    <script language="JavaScript" type="text/JavaScript">
         <!--
         document.frm.submit();
         -->
    </script>

<!-- Include the header -->
<s:include value="header.jsp" />

<table cellpadding="0" cellspacing="0" border="0" style="width:100%;">
    <tr>
        <td class="right-back">
        </td>
        <td class="content" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" style="width:100%;">
                <tr>
                    <td><h1>WSO2 Identity Provider</h1></td>
                    <td align="right" valign="top"><img src="images/wso2-identity-content-rounded.jpg" align="top" /></td>
                </tr>
            </table>

            <br>
            
            <table cellpadding="0" cellspacing="10" border="0" class="login-header">
                <tr>
                    <td valign="top" width="30%">
                        <strong>Login with Username and Password</strong>
                        <s:form action="Login.action" theme="simple" method="POST">
                        <div class="errors">
                            <s:actionerror />
                            <s:fielderror />
                        </div>
                        <table cellpadding="0" cellspacing="10" border="0">
                            <tr><td>Username</td><td><s:textfield name="username" label="Login name" cssClass="text-box-normal" /></td></tr>
                            <tr><td>Password</td><td><s:password name="password" label="Password" cssClass="text-box-normal" /></td></tr>
                            <tr><td></td><td><s:submit value="Login" align="left" cssClass="button" /></td></tr>
                        </table>
                        </s:form>
                    </td>
                    <td><img src="images/line-sep.png" height="150" width="2" /></td>
                    <td valign="top">
                        <strong>Login with your Information Card</strong>
                        <div>
                        <a href="/InfoCardLogin.action" title="Login with your Information Card"><img src="images/infocard_114x80.png" align="left" style="margin-right:10px;" border="0" /></a>
                        You can only login with a personal information card that you have already registered. 
                        If you have not registered a personal information card please first login with your username and password and
                        register a card. 
                        </div>
                    </td>
                </tr>
            </table>
            <div>
                <strong>Don't have a Login?</strong><br/><br/>
                Signing up is easy.
                <a href="ShowUserRegistration.action">Signing Up</a>
            </div>
        </td>
    </tr>
</table>

<!-- Include footer -->
<s:include value="footer.jsp" />

</body>

</html>
